### Constructor

# Foundry LspClient new_with_provider

#### Declaration [src]

    DexFuture*
    foundry_lsp_client_new_with_provider (
      FoundryContext* context,
      GIOStream* stream,
      GSubprocess* subprocess,
      FoundryLspProvider* provider
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `FoundryContext`

  No description available.

  The data is owned by the caller of the function.

`stream`

  Type: `GIOStream`

  No description available.

  The data is owned by the caller of the function.

`subprocess`

  Type: `GSubprocess`

  No description available.

  The data is owned by the caller of the function.

`provider`

  Type: `FoundryLspProvider`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.